#ifndef __PIC_H__
#define __PIC_H__ 

#include "afxdlgs.h"
#include "fstream.h" 
#include "defs.h" 
#include "defs2.h"
#include "tparser.h" 
      
      
/////////////////////////////////////////////////////////////////////////////

// CMainWindow:
// See pic.cpp for the code to the member functions and the message map.
//
class CMainWindow : public CFrameWnd
{ 
    CState State;
	BOOL Drawing;
	
	void DrawLine( int npts, int x[], int y[] );
	void DrawRect( int npts, int x[], int y[] );
	void DrawOval( int npts, int x[], int y[] );
	void DrawPoly( int npts, int x[], int y[] );
 
// Construction
public:
	 CMainWindow();
    ~CMainWindow();

	//{{AFX_MSG( CMainWindow )

	afx_msg void OnSize(UINT nType, int cx, int cy); 
	afx_msg void OnPaint(); 
	afx_msg void OnAbout();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// CTheApp:
//
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};

/////////////////////////////////////////////////////////////////////////////

#endif // __PIC_H__

